openssl-upstream-static-1.0.0j-1.fc17.i686.rpm


Advertisement

Description

openssl-upstream-static - Libraries for static linking of applications which will use OpenSSL

Property Value
Distribution RPM Universal
Repository Olea all
Package filename openssl-upstream-static-1.0.0j-1.fc17.i686.rpm
Package name openssl-upstream-static
Package version 1.0.0j
Package release 1.fc17
Package architecture i686
Package type rpm
Homepage -
License -
Maintainer -
Download size 928.49 KB
Installed size 3.52 MB
OpenSSL is a toolkit for supporting cryptography. The openssl-static
package contains static libraries needed for static linking of
applications which support various cryptographic algorithms and
protocols.

Alternatives

Package Version Architecture Repository
openssl-upstream-static - - -

Requires

Name Value
openssl-upstream-devel(x86-32) = 1.0.0j-1.fc17

Provides

Name Value
openssl-upstream-static = 1.0.0j-1.fc17
openssl-upstream-static(x86-32) = 1.0.0j-1.fc17

Download

Type URL
Mirror olea.org
Binary Package openssl-upstream-static-1.0.0j-1.fc17.i686.rpm
Source Package openssl-upstream-1.0.0j-1.fc17.src.rpm

Install Howto

  1. Download latest olea-repo-release rpm from
    http://olea.org/paquetes-rpm/
  2. Install olea-repo-release rpm:
    # rpm -Uvh olea-repo-release*rpm
  3. Install openssl-upstream-static rpm package:
    # yum install openssl-upstream-static

Files

Path
/usr/lib/libcrypto.a
/usr/lib/libssl.a

Changelog

2012-07-02 - Ismael Olea <ismael@olea.org> 1.0.0j-1
- changed name to openssl-upstream and tagged for better
package behavior and compatibility
2012-06-17 - Gregory Maxwell <greg@xiph.org>
- changed fedora openssl sources for openssl upstream ones.
2012-05-15 - Tomas Mraz <tmraz@redhat.com> 1.0.0j-1
- new upstream release fixing CVE-2012-2333 - improper record
length checking in DTLS
2012-04-20 - Tomas Mraz <tmraz@redhat.com> 1.0.0i-1
- new upstream release fixing CVE-2012-2110 - memory corruption
when loading asn1 from BIO
2012-03-23 - Tomas Mraz <tmraz@redhat.com> 1.0.0h-1
- new upstream release fixing CVE-2012-0884 - Bleichenbacher attack
against PKCS#7 and CMS (#802725) and CVE-2012-1165 mime_param_cmp
NULL dereference (#802489)
2012-02-29 - Tomas Mraz <tmraz@redhat.com> 1.0.0g-4
- fixup requires to properly require the Epoch 1
2012-02-29 - Tomas Mraz <tmraz@redhat.com> 1.0.0g-2
- revert F17 build to 1.0.0g due to problems caused by new
features introduced in 1.0.1. Epoch set to 1.
2012-01-19 - Tomas Mraz <tmraz@redhat.com> 1.0.0g-1
- new upstream release fixing CVE-2012-0050 - DoS regression in
DTLS support introduced by the previous release (#782795)
2012-01-05 - Tomas Mraz <tmraz@redhat.com> 1.0.0f-1
- new upstream release fixing multiple CVEs
2011-11-22 - Tomas Mraz <tmraz@redhat.com> 1.0.0e-4
- move the libraries needed for static linking to Libs.private

See Also

Package Description
pangoxsl-1.6.0.1-1.i386.rpm Additional XSL properties for Pango
pangoxsl-1.6.0.3-1.i386.rpm Additional XSL properties for Pango
pangoxsl-devel-1.6.0.1-1.i386.rpm Additional XSL properties for Pango
pangoxsl-devel-1.6.0.3-1.i386.rpm Additional XSL properties for Pango
pdfmod-0.7-1.olea.i586.rpm PDF Modifier
pdfmod-0.9.1-4.fc15.i686.rpm PDF Modifier
pdfmod-0.9.1-5.olea.i686.rpm PDF Modifier
pdfreflow-0.8.6-1.fc18.i686.rpm Reflow texts of PDF files
pdftk-1.00-1mdk.i386.rpm Pdftk stand for Pdf Tool Kit
pdftk-1.41-3olea.i386.rpm The PDF Tool Kit
pdftk-1.41-5olea.i386.rpm The PDF Tool Kit
perl-CGI-Application-Plugin-AutoRunmode-0.16-1.noarch.rpm CGI-Application-Plugin-AutoRunmode - CGI::App plugin to automatically register runmodes
perl-CGI-Application-Plugin-Config-YAML-0.01-1.noarch.rpm CGI-Application-Plugin-Config-YAML - add Config::YAML support to CGI::Application
perl-CGI-Application-Plugin-Session-1.03-1.noarch.rpm CGI-Application-Plugin-Session - Perl module
perl-CGI-Application-Plugin-TT-1.04-1.noarch.rpm CGI-Application-Plugin-TT - Perl module
Advertisement
Advertisement